package com.adc.da.printer.controller;

import com.adc.da.mp.base.BaseController;
import com.adc.da.mp.base.IBaseService;
import com.adc.da.mp.base.Query;
import com.adc.da.printer.entity.CertPrinterEO;
import com.adc.da.printer.service.ICertPrinterEOService;
import com.adc.da.util.http.ResponseMessage;
import com.adc.da.util.http.Result;
import com.adc.da.util.utils.StringUtils;
import com.adc.da.util.utils.UserUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.io.Serializable;

import static org.springframework.http.MediaType.APPLICATION_JSON_VALUE;

/**
 * <p>
 * 前端控制器
 * </p>
 * 作者 gen
 * 日期 2021-10-09
 */
@RestController
@RequestMapping("/${restPath}/printer/certPrinter")
@Api(tags = "|CertPrinterEO|打印机管理")
public class CertPrinterEOController extends BaseController<CertPrinterEO> {
    private static final Logger logger = LoggerFactory.getLogger(CertPrinterEOController.class);

    @Autowired
    private ICertPrinterEOService service;
//
//    @ApiOperation(value = "|CertPrinterEO|列表查询", notes = "printer:certprinter:list")
//    @PostMapping(value = "list", consumes = APPLICATION_JSON_VALUE)
//    //@RequiresPermissions("printer:certprinter:list")
//    public ResponseMessage<List<CertPrinterEO>> getList(@RequestBody Query<CertPrinterEO> query) {
//
//        return Result.success(super.list(query));
//    }
//
//    @ApiOperation(value = "|CertPrinterEO|分页查询", notes = "printer:certprinter:page")
//    @PostMapping(value = "page", consumes = APPLICATION_JSON_VALUE)
//    //@RequiresPermissions("printer:certprinter:page")
//    public ResponseMessage<PageInfo<CertPrinterEO>> getPage(@RequestBody Query<CertPrinterEO> query) {
//
//        return Result.success(getPageInfo(super.page(query)));
//    }
//
//    @ApiOperation(value = "|CertPrinterEO|详情", notes = "printer:certprinter:get")
//    @GetMapping("{id}")
//    //@RequiresPermissions("printer:certprinter:get")
//    public ResponseMessage<CertPrinterEO> get(@NotNull @PathVariable Serializable id) {
//
//        return Result.success(super.getById(id));
//    }

    @ApiOperation(value = "|CertPrinterEO|获取打印机", notes = "printer:certprinter:get")
    @GetMapping("/getPrinter")
    //@RequiresPermissions("printer:certprinter:get")
    public ResponseMessage<CertPrinterEO> getPrinter() {
        String QyId = UserUtil.getQyId();
        return Result.success(super.getById(QyId));
    }

    @ApiOperation(value = "|CertPrinterEO|新增&修改", notes = "printer:certprinter:save")
    @PostMapping(consumes = APPLICATION_JSON_VALUE)
    //@RequiresPermissions("printer:certprinter:save")
    public ResponseMessage<CertPrinterEO> create(@RequestBody CertPrinterEO data) {
        String QyId = UserUtil.getQyId();
        data.setId(QyId);
        data.setQyId(QyId);
        CertPrinterEO certPrinterEO = super.getById(QyId);
        if (StringUtils.isEmpty(certPrinterEO)) {
            return Result.success(super.save(data));
        } else {
            return Result.success(super.update(data));
        }
    }

//    @ApiOperation(value = "|CertPrinterEO|修改", notes = "printer:certprinter:update")
//    @PutMapping(consumes = APPLICATION_JSON_VALUE)
//    //@RequiresPermissions("printer:certprinter:update")
//    public ResponseMessage<CertPrinterEO> modify(@RequestBody CertPrinterEO data) {
//        String QyId = UserUtil.getQyId();
//        data.setId(QyId);
//        return Result.success(super.update(data));
//    }

//    @ApiOperation(value = "|CertPrinterEO|批量删除", notes = "printer:certprinter:delete")
//    @DeleteMapping("{ids}")
//    //@RequiresPermissions("printer:certprinter:delete")
//    public ResponseMessage delete(@NotNull @PathVariable Serializable... ids) {
//
//        return Result.success(super.deleteBatchIds(ids));
//    }

    @Override
    protected IBaseService<CertPrinterEO> getService() {

        return service;
    }

    @Override
    protected void verifyQuery(Query<CertPrinterEO> queryItem) {

    }

    @Override
    protected void verifySaveData(CertPrinterEO data) {

    }

    @Override
    protected void verifyUpdateData(CertPrinterEO data) {

    }

    @Override
    protected void verifyDeleteId(Serializable... ids) {

    }
}
