package com.adc.da.report.entity;

import com.adc.da.mp.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.apache.ibatis.type.JdbcType;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

import static com.baomidou.mybatisplus.annotation.FieldFill.INSERT;
import static com.baomidou.mybatisplus.annotation.FieldStrategy.IGNORED;

/**
 * <p>
 * 实体类
 * </p>
 * 作者 gen
 * 日期 2021-09-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("NERDS.ANALYSIS_REPORT")
@ApiModel(value = "AnalysisReport对象", description = "")
public class AnalysisReportEO extends BaseEntity<AnalysisReportEO> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "ID", type = IdType.UUID)
    private String id;

    @ApiModelProperty(value = "标题")
    @TableField("TITLE")
    private String title;

    @ApiModelProperty(value = "亮点介绍")
    @TableField("CONTENT")
    private String content;

    @ApiModelProperty(value = "发布作者")
    @TableField("AUTHOR")
    private String author;

    @ApiModelProperty(value = "文件")
    @TableField("PDF_FILE")
    private String pdfFile;

    @ApiModelProperty(value = "封面文件")
    @TableField("COVER_FILE")
    private String coverFile;

    @ApiModelProperty(value = "报告类型1销量；2乘用车；3商用车")
    @TableField("REPORT_TYPE")
    private String reportType;

    @TableField(value = "CREATE_USER", insertStrategy = IGNORED, fill = INSERT, jdbcType = JdbcType.VARCHAR)
    private String createUser;


    @TableField(value = "CREATE_TIME", insertStrategy = IGNORED, fill = INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date createTime;

    @TableField("DEL_FLAG")
    private String delFlag;

    @TableField("BUY_USERS")
    private String bugUsers;

    @TableField(exist = false)
    private String permission;

    public static final String ANALYSIS_REPORT_ID = "ID";

    public static final String ANALYSIS_REPORT_TITLE = "TITLE";

    public static final String ANALYSIS_REPORT_CONTENT = "CONTENT";

    public static final String ANALYSIS_REPORT_AUTHOR = "AUTHOR";

    public static final String ANALYSIS_REPORT_PDF_FILE = "PDF_FILE";

    public static final String ANALYSIS_REPORT_COVER_FILE = "COVER_FILE";

    public static final String ANALYSIS_REPORT_REPORT_TYPE = "REPORT_TYPE";

    public static final String ANALYSIS_REPORT_CREATE_USER = "CREATE_USER";

    public static final String ANALYSIS_REPORT_CREATE_TIME = "CREATE_TIME";

    public static final String ANALYSIS_REPORT_DEL_FLAG = "DEL_FLAG";

    public static final String ANALYSIS_REPORT_BUY_USERS = "BUY_USERS";

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
