package com.adc.da.test.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.adc.da.mp.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 *  实体类
 * </p>
 * 作者 gen
 * 日期 2021-10-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("B_CLXX")
@ApiModel(value="BClxx对象", description="")
public class BClxxEO extends BaseEntity<BClxxEO> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "ID", type = IdType.UUID)
    private Long id;

    @TableField("CLXH")
    private String clxh;

    @TableField("CLCPMC")
    private String clcpmc;

    @TableField("CLLB")
    private String cllb;

    @TableField("SFSCKC")
    private String sfsckc;

    @TableField("CREATE_TIME")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @TableField("CREATOR")
    private String creator;

    @TableField("UPDATE_TIME")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    @TableField("UPDATER")
    private String updater;

    @ApiModelProperty(value = "1:未提交；2：已提交")
    @TableField("STATUS")
    private String status;

    @TableField("SCQYMC")
    private String scqymc;

    @TableField("TJSP_TIME")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date tjspTime;

    @ApiModelProperty(value = "Y:中机受理；N：中机不受理")
    @TableField("SLZT")
    private String slzt;

    @TableField("CLSB")
    private String clsb;

    @ApiModelProperty(value = "是否属于三元材料蓄电池车型")
    @TableField("SFSYCL")
    private String sfsycl;

    @TableField("BK_ID")
    private Long bkId;

    @TableField("BK_REASON")
    private String bkReason;

    @TableField("CLFHXBGBH")
    private String clfhxbgbh;

    @TableField("PTFHXBGBH")
    private String ptfhxbgbh;

    @TableField("XNYLB")
    private String xnylb;

    @TableField("TYPE")
    private String type;

    @TableField("TY_NAME")
    private String tyName;

    @TableField("SBLB")
    private String sblb;

    @TableField("TQFLAG")
    private String tqflag;

    @TableField("CCS_XNY")
    private String ccsXny;


    public static final String B_CLXX_ID = "ID";

    public static final String B_CLXX_CLXH = "CLXH";

    public static final String B_CLXX_CLCPMC = "CLCPMC";

    public static final String B_CLXX_CLLB = "CLLB";

    public static final String B_CLXX_SFSCKC = "SFSCKC";

    public static final String B_CLXX_CREATE_TIME = "CREATE_TIME";

    public static final String B_CLXX_CREATOR = "CREATOR";

    public static final String B_CLXX_UPDATE_TIME = "UPDATE_TIME";

    public static final String B_CLXX_UPDATER = "UPDATER";

    public static final String B_CLXX_STATUS = "STATUS";

    public static final String B_CLXX_SCQYMC = "SCQYMC";

    public static final String B_CLXX_TJSP_TIME = "TJSP_TIME";

    public static final String B_CLXX_SLZT = "SLZT";

    public static final String B_CLXX_CLSB = "CLSB";

    public static final String B_CLXX_SFSYCL = "SFSYCL";

    public static final String B_CLXX_BK_ID = "BK_ID";

    public static final String B_CLXX_BK_REASON = "BK_REASON";

    public static final String B_CLXX_CLFHXBGBH = "CLFHXBGBH";

    public static final String B_CLXX_PTFHXBGBH = "PTFHXBGBH";

    public static final String B_CLXX_XNYLB = "XNYLB";

    public static final String B_CLXX_TYPE = "TYPE";

    public static final String B_CLXX_TY_NAME = "TY_NAME";

    public static final String B_CLXX_SBLB = "SBLB";

    public static final String B_CLXX_TQFLAG = "TQFLAG";

    public static final String B_CLXX_CCS_XNY = "CCS_XNY";

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
